<app-loading *ngIf="loading"></app-loading>
<div class="main-list-model-template">
  <div class="main-list-model-template__right">
    <mb-button *ngIf="objFunction.create" mbButtonType="NO_BORDER" (click)="redrirectToAddModelTemplate()" mbButtonSize="LARGE"
               mbButtonText="{{'modelOrganization.table.createFormName' | translate}}" mbButtonAvailableStyle="PRIMARY">
    </mb-button>
  </div>
</div>

<div class="main-list-model-template-card">
  <div nz-row class="main-list-model-template-card__row">
    <div nz-col nzSpan="6" class="main-list-model-template-card__left">
      <div>
        <span nz-typography class="main-list-model-template-card__left__label">{{'modelOrganization.table.formName' | translate}}</span>
      </div>
      <input nz-input class="main-list-model-template-card__left__input" (keyup)="changeOrgName($event)"
        placeholder="Nhập tên biểu mẫu" [(ngModel)]="objectSearch.orgName" />
    </div>
    <div nz-col nzSpan="6" class="main-list-model-template-card__center">
      <div>
        <span nz-typography class="main-list-model-template-card__center__label">{{'modelOrganization.table.status' | translate}}</span>
      </div>
      <nz-select [(ngModel)]="objectSearch.flagStatus" class="main-list-model-template-card__center__select"
        nzPlaceHolder="Chọn tình trạng" nzAllowClear>
        <nz-option nzValue="1" nzLabel="Sử dụng"></nz-option>
        <nz-option nzValue="0" nzLabel="Không sử dụng"></nz-option>
      </nz-select>
    </div>
    <div nz-col nzSpan="6" class="main-list-model-template-card__right">
      <mb-button (click)="searchListTemplate()"
                 mbButtonText="{{'common.button.search' | translate}}" mbButtonAvailableStyle='CUSTOM'></mb-button>
    </div>
  </div>
  <div nz-row class="template">
    <div class="jd-table">
      <nz-table #basicTable [nzData]="listTemplate ? listTemplate : []" [nzFrontPagination]="false"
        [nzShowPagination]="false" [nzSize]="TABLE_SIZE">
        <thead>
          <tr>
            <th scope="col" class="jd-table__label" nzWidth="5%">{{'modelOrganization.table.index' | translate}}</th>
            <th scope="col" class="jd-table__label" nzWidth="40%">{{'modelOrganization.table.formName' | translate}}</th>
            <th scope="col" class="jd-table__label" nzWidth="25%" [nzAlign]="'center'">{{'modelOrganization.table.status' | translate}}</th>
            <th scope="col" class="jd-table__label" nzWidth="25%">{{'modelOrganization.table.createDate' | translate}}</th>
            <th scope="col" class="jd-table__label" nzWidth="5%"></th>
          </tr>
        </thead>
        <tbody>
          <tr *ngFor="let item of listTemplate; let i = index" (dblclick)='redrirectToInitTemaplatePage(item)'>
            <td>{{(pagination.size * (pagination.currentPage - 1)) + (i+1)}}</td>
            <td nz-tooltip [nzTooltipTitle]="item.orgName" class="wrap-text">
              {{item.orgName}}</td>
            <td [nzAlign]="'center'">
              <div class="status-style">
                <nz-tag [ngClass]="item.flagStatus?'tag-custom ant-tag-green-custom':'tag-custom ant-tag-red-custom'">{{item.flagStatus ? 'Sử dụng' : 'Không sử dụng'}}</nz-tag>
              </div>
            </td>
            <td>{{item.createdDate | date: 'dd/MM/yyyy'}}</td>
            <td>
              <div class="jd-table__action">
                <button nz-button nzType="default" class="jd-table__action--button" (click)="onDelete(item.orgId)" *ngIf="objFunction.delete">
                  <img src="assets/images/icon/project-delete.svg" alt='delete'>
                </button>
              </div>
            </td>
          </tr>
        </tbody>
      </nz-table>
      <div class="pagination" *ngIf="pagination.totalElement > 0">
        <div class="pagination__table-info">
          <img class="pagination__table-info--icon" src="assets/images/icon/idea.svg" alt="idea">
          <span class="pagination__table-info--text">Tìm thấy {{pagination.totalElement}} kết quả, hiển thị từ
            {{pagination.totalElement ? (pagination.size * (pagination.currentPage - 1) + 1) : 0}} đến
            {{(pagination.size * (pagination.currentPage - 1)) + pagination.numberOfElements}}</span>
        </div>
        <nz-pagination [(nzPageIndex)]="pagination.currentPage" [nzTotal]="pagination.totalElement"
          [nzPageSize]="pagination.size" (nzPageIndexChange)="changePage()" class="pagination__icon">
        </nz-pagination>
      </div>
    </div>
  </div>
</div>
